GENERIC_UNPLUG_DEV(9)

NAME
generic_unplug_device - fire a request queue

SYNOPSIS

void generic_unplug_device (request_queue_t * q);

ARGUMENTS

q   The &request_queue_t in question

DESCRIPTION

Linux uses plugging to build bigger requests queues before letting the device have at them. If a queue is plugged, the I/O scheduler is still adding and merging requests on the queue. Once the queue gets unplugged, the request_fn defined for the queue is invoked and transfers started.